---
title: CanvasRenderingContext2D.clearHitRegions()
slug: Web/API/CanvasRenderingContext2D/clearHitRegions
tags:
  - API
  - Canvas
  - CanvasRenderingContext2D
  - Experimental
  - Method
  - Reference
---
<div>{{APIRef}} {{obsolete_header}}</div>

<p>The {{domxref("CanvasRenderingContext2D")}} method <strong><code>clearHitRegions()</code></strong> removes all hit regions from the canvas.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">void <em>ctx</em>.clearHitRegions();
</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Using_the_clearHitRegions_method">Using the <code>clearHitRegions</code> method</h3>

<p>This example demonstrates the <code>clearHitRegions()</code> method.</p>

<h4 id="HTML">HTML</h4>

<pre class="brush: html">&lt;canvas id="canvas"&gt;&lt;/canvas&gt;
</pre>

<h4 id="JavaScript">JavaScript</h4>

<pre class="brush: js; highlight:[10]">const canvas = document.getElementById('canvas');
const ctx = canvas.getContext('2d');

// Set some hit regions
ctx.addHitRegion({id: 'eyes'});
ctx.addHitRegion({id: 'nose'});
ctx.addHitRegion({id: 'mouth'});

// Remove them altogether from the canvas
ctx.clearHitRegions();
</pre>

<h2 id="Specifications">Specifications</h2>

<p>Canvas hit regions have been removed from the WHATWG Living Standard, although discussions about future standardization are ongoing. See <a href="https://github.com/whatwg/html/issues/3407">https://github.com/whatwg/html/issues/3407</a> for more information.</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.CanvasRenderingContext2D.clearHitRegions")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("CanvasRenderingContext2D.addHitRegion()")}} {{experimental_inline}}</li>
 <li>{{domxref("CanvasRenderingContext2D.removeHitRegion()")}} {{experimental_inline}}</li>
</ul>
